Home Information Classes Download Usage Mail List Requirements Links Tutorial

# HevyMetl Class Reference

STK heavy metal FM synthesis instrument. More...

`#include <HevyMetl.h>`

Inheritance diagram for HevyMetl:

List of all members.

## Public Member Functions

| HevyMetl ()
| Class constructor.
| ~HevyMetl ()
| Class destructor.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
MY_FLOAT | tick ()
| Compute one output sample.

## Detailed Description

STK heavy metal FM synthesis instrument.

This class implements 3 cascade operators with feedback modulation, also referred to as algorithm 3 of the TX81Z.

        Algorithm 3 is :    4--\
                        3-->2-- + -->1-->Out

Control Change Numbers:

- Total Modulator Index = 2
- Modulator Crossfade = 4
- LFO Speed = 11
- LFO Depth = 1
- ADSR 2 & 4 Target = 128

The basic Chowning/Stanford FM patent expired in 1995, but there exist follow-on patents, mostly assigned to Yamaha. If you are of the type who should worry about this (making money) worry away.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 36 of file HevyMetl.h.

The documentation for this class was generated from the following file:

- HevyMetl.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.